Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

eclipse-swt-4.9.0-1.4 RPM for armv7hl

From OpenSuSE Ports Tumbleweed for armv7hl

Name: eclipse-swt Distribution: openSUSE Tumbleweed
Version: 4.9.0 Vendor: openSUSE
Release: 1.4 Build date: Sat May 29 08:25:10 2021
Group: Development/Libraries/Java Build host: obs-arm-5
Size: 4945566 Source RPM: eclipse-swt-4.9.0-1.4.src.rpm
Packager: http://bugs.opensuse.org
Url: https://www.eclipse.org/
Summary: SWT Library for GTK+
SWT is the software component that delivers native widget functionality
for the Eclipse platform in an operating system independent manner.  It
is analogous to AWT/Swing in Java with a difference - SWT uses a rich
set of native widgets.

Provides

Requires

License

EPL-2.0

Changelog

* Thu Apr 09 2020 Fridrich Strba <fstrba@suse.com>
  - Build eclipse-swt for architectures where eclipse itself is not
    supported any more
  - This is the last version that was supported on 32-bit
    architectures
* Sun Oct 22 2017 fstrba@suse.com
  - Declare the right architecture in manifest file
    * Fixes problems reported in bsc#1062807
* Wed Oct 18 2017 stefan.bruens@rwth-aachen.de
  - Add aarch64.patch, sets JNI64 on aarch64
* Fri Oct 06 2017 fstrba@suse.com
  - Build with java source and target 1.6 in order to allow building
    with jdk9
  - Added patch:
    * libswt-bootclasspath.patch
      + Don't use bootclasspath; it does not work with java9, since
      no jar files are distributed, and it is not needed for
      java 7 or 8.
  - Modified patch:
    * libswt-4.333-libjawt.patch
      + Use elif in order to make the patch shorter and more elegant
* Wed Sep 20 2017 zaitor@opensuse.org
  - Drop libwebkit-devel BuildRequires: webkitgtk is deprecated, and
    will be removed from tumbleweed.
* Mon Sep 18 2017 fstrba@suse.com
  - Temporarily build against jdk8 until the build is fixed
  - Modified patch:
    * libswt-includes.patch
      + Do not explicitely look for gcj includes, since we use the
      includes in JAVA_HOME
  - Added patch:
    * libswt-4.333-libjawt.patch
      + Find libjawt correctly also in jdk9
* Wed Jun 08 2016 normand@linux.vnet.ibm.com
  - same ppc64le_path_for_jre_1_7_0.patch for suse_version >= 1330
    (so remove version test in spec)
* Fri Aug 28 2015 normand@linux.vnet.ibm.com
  -  new patch for ppc64le for suse_version <= 1315
    ppc64le_path_for_jre_1_7_0.patch
* Wed Aug 12 2015 dvaleev@suse.com
  - Fix SWT_ARCH on ppc64le (refresh ppc64le.patch)
* Tue Jul 01 2014 tchvatal@suse.com
  - Revert back to 4.333 as it broke build of only dependant package
  - Removed patches:
    * build.patch
    * jni64.patch
  - Added patches:
    * libswt-includes.patch
    * libswt-build.patch
    * libswt-optflags.patch
    * libswt-plugindir.patch
    * ppc64le.patch

Files

/usr/lib/java/eclipse
/usr/lib/java/eclipse/org.eclipse.swt.jar
/usr/lib/java/swt.jar
/usr/share/maven-metadata/eclipse-swt.xml
/usr/share/maven-poms/eclipse
/usr/share/maven-poms/eclipse/org.eclipse.swt.pom
/usr/share/maven-poms/swt.pom


Generated by rpm2html 1.8.1

Fabrice Bellet, Tue Nov 30 00:04:46 2021